## pdfedit 0.3.1

=== doc/Makefile ===
#Top-level Makefile for documentation

.PHONY: clean all doc_core doc_core_nopdf doc_dist

#Build all documentation, including doxygen programmer documentation and doxygen's default stylesheet
all:	doc_core
	doxygen -w html /dev/null /dev/null programmer/html/doxygen.css || true
	doxygen || true

#Core documentation, without PDF
doc_core_nopdf:
	cd user && ( gmake all_no_pdf || make all_no_pdf )
	cd design && ( gmake all_no_pdf || make all_no_pdf )

#Documentation that will be build before packing in distributiin tarball
doc_dist:	doc_core_nopdf

#Core documentation, with PDF
doc_core:
	cd user && ( gmake || make )
	cd design && ( gmake || make )

#Clean everything
clean:
	cd user && ( gmake clean || make clean )
	cd design && ( gmake clean || make clean )
	rm -rf programmer

=== src/Makefile ===
#makefile for PDF editor
.PHONY: distclean clean pdfedit kernel xpdf kpdf-kde-3.3.2 utils qoutputdevices xpdf_configure install qsa qsa_configure

include Makefile.flags

#make PDF editor - source and documentation
all: pdfedit

#make PDF editor + tests
tests: all kernel-tests

# kernel tests
kernel-tests: kernel
	cd kernel && $(QMAKE) -o Makefile-tests kernel-tests.pro && make -f Makefile-tests

# PDF editor
pdfedit: ../config.pro utils kernel xpdf qoutputdevices qsa
	cd gui && $(QMAKE) && make

# QOutputDevices
qoutputdevices: xpdf xpdf/config_xpdf_variables
	cd kpdf-kde-3.3.2 && $(QMAKE) && make staticlib

# Utils
utils: xpdf
	cd utils && make

#QSA
qsa: qsa/Makefile.qsa
	cd qsa && make staticlib

qsa/Makefile.qsa: qsa/qsa.pro
	cd qsa && ./configure

# Kernel
kernel: xpdf xpdf/config_xpdf_variables utils
	cd kernel && $(QMAKE) && make staticlib

# XPdf
xpdf: xpdf_configure
	cd xpdf && make libxpdf

# XPdf configure
xpdf_configure: xpdf/config_xpdf_variables

#if any of the Makefile.in changes, we need to rebuild corresponding Makefile in xpdf -> we rebuild them all to be sure
xpdf/config_xpdf_variables: xpdf/Makefile.in xpdf/xpdf/Makefile.in xpdf/splash/Makefile.in xpdf/goo/Makefile.in xpdf/fofi/Makefile.in
	cd xpdf && ./configure $(xpdf_configure_flags)

# Cleanup
clean:
	cd gui && make clean
	cd qsa && make clean || true
	cd kernel && make clean
	cd utils && make clean
	cd xpdf && make clean
	cd kpdf-kde-3.3.2 && make clean
	rm -f kpdf-kde-3.3.2/Makefile 
	rm -f kernel/Makefile 
	rm -f gui/Makefile gui/menugenerator gui/pdfedit


# Dist Cleanup
distclean:
	cd gui && make distclean || true
	cd qsa && make distclean || true
	cd kernel && make distclean || true
	cd utils && make distclean
	cd xpdf && make distclean || true
	cd kpdf-kde-3.3.2 && make distclean || true
	rm -f xpdf/config_xpdf_variables
	rm -f kpdf-kde-3.3.2/Makefile 
	rm -f kernel/Makefile 
	rm -f utils/aconf.h
	rm -f gui/config.h gui/Makefile gui/menugenerator gui/pdfedit

# Installation
install:
	cd gui && make install

# Uninstallation
uninstall:
	cd gui && make uninstall

=== src/qsa/Makefile ===
# -*- makefile -*-
#
# Main Makefile for building the QSA library.

all: run-make

Makefile.qsa:
	@echo .
	@echo QSA must first be configured using the "configure" script.
	@echo .
	@exit 1	

install: Makefile.qsa
	$(MAKE) -f Makefile.qsa install

run-make: Makefile.qsa
	$(MAKE) -f Makefile.qsa src/Makefile
	cd src && $(MAKE) qsa/Makefile
	cd src/qsa && $(MAKE) staticlib

sub-src: Makefile.qsa
	$(MAKE) -f Makefile.qsa sub-src

clean:
	$(MAKE) -f Makefile.qsa clean

distclean:
	$(MAKE) -f Makefile.qsa distclean
	rm -rf .moc .obj configure2/.moc configure2/.obj src/qsa/.obj src/qsa/.moc 
	rm -f configure2/configure2 src/qsa/qsconfig.h configure2/Makefile
	rm -f Makefile.qsa .qmake.cache lib/libqsa_pdfedit.prl lib/libqsa_pdfedit.a src/Makefile src/qsa/Makefile tools/designer/editor/preferences.h tools/designer/editor/preferences.cpp

staticlib: Makefile.qsa
	$(MAKE) -f Makefile.qsa src/Makefile
	cd src && $(MAKE) qsa/Makefile
	cd src/qsa && $(MAKE) staticlib

## pdfedit 0.4.1

=== doc/Makefile ===
#Top-level Makefile for documentation

# General rules (with configuration options)
include ../Makefile.flags

TOP_DIR=.
# Documentation generation rules
include Makefile.rules

.PHONY: clean all doc_dist doc_man doc_doxygen doc_user doc_extended doc_user_nopdf doc_extended_nopdf

all: doc_dist

# Build man pages and doxygen doc if required
doc_dist: doc_man $(DOXYGEN_TARGET) $(ADVANCED_DOC_TARGET)

doc_dist_install: doc_man_install $(DOXYGEN_INSTALL_TARGET) \
	$(ADVANCED_DOC_INSTALL_TARGET)
	$(MKDIR) $(INSTALL_ROOT)$(DOC_PATH)/;
	$(COPY_FILE) LICENSE.GPL ../README ../Changelog AUTHORS README-* \
		README.cygwin $(INSTALL_ROOT)$(DOC_PATH)

# TODO maybe we should be less brutal here and delete only our files
doc_dist_uninstall:
	$(DEL_FORCE_DIR) $(INSTALL_ROOT)$(DOC_PATH) || true;
	$(DEL_FILE) $(INSTALL_ROOT)$(MAN_PATH)/pdfedit.1

# Man pages are the core for documenation
doc_man: 
	cd user && $(MAKE) pdfedit.1

doc_man_install: doc_man
	$(MKDIR) $(INSTALL_ROOT)$(MAN_PATH);
	$(COPY_FILE) user/pdfedit.1 $(INSTALL_ROOT)$(MAN_PATH)

# Doxygen documenation
doc_doxygen: $(DOXYGEN_BIN)
	$(DOXYGEN_BIN) -w html _header _footer programmer/html/doxygen.css || true
	$(DEL_FILE) _header _footer _header.bak _footer.bak || true
	$(DOXYGEN_BIN) || true

doc_doxygen_install: doc_doxygen
	$(MKDIR) $(INSTALL_ROOT)$(DOC_PATH)/doxygen;
	$(COPY_DIR) programmer/html/* $(INSTALL_ROOT)$(DOC_PATH)/doxygen

# User documentation (installation target is part of gui)
doc_user: doc_user_nopdf

doc_user_nopdf:
	cd user && $(MAKE) all_no_pdf

# Extended (docbook design) documenation
doc_advanced: doc_advanced_nopdf

# TODO what about pdf generated doc?
doc_advanced_install: doc_advanced
	$(MKDIR) $(INSTALL_ROOT)$(DOC_PATH)/design ;
	$(COPY_FILE) design/*.html $(INSTALL_ROOT)$(DOC_PATH)/design;
	$(MKDIR) $(INSTALL_ROOT)$(DOC_PATH)/design/images ;
	$(COPY_FILE) design/images/*.png $(INSTALL_ROOT)$(DOC_PATH)/design/images;
	$(MKDIR) $(INSTALL_ROOT)$(DOC_PATH)/design/kernel/images;
	$(COPY_FILE) design/kernel/images/*.png $(INSTALL_ROOT)$(DOC_PATH)/design/kernel/images;


doc_advanced_nopdf:
	cd design && $(MAKE) all_no_pdf

# Clean everything
clean:
	cd user && $(MAKE) clean
	cd design && $(MAKE) clean
	$(DEL_FORCE_DIR) programmer
	$(DEL_FILE) doxygen.warnings

=== src/Makefile ===
#makefile for PDF editor
.PHONY: distclean clean pdfedit kernel xpdf kpdf-kde-3.3.2 utils qoutputdevices qsa qsa_configure qsa4 qsa4_configure gui

# includes basic building rules
# REL_ADDR has to be defined, because Makefile.rules refers 
# to the Makefile.flags
REL_ADDR=../
include $(REL_ADDR)Makefile.rules

# make PDF editor - source and documentation
# targets are determined during configure
all: kernel $(TESTS_TARGET) $(GUI_TARGET)

# XPdf
xpdf:
	cd $(XPDFROOT) && $(MAKE) libxpdf

# PDF editor
pdfedit: utils kernel xpdf qoutputdevices qsa $(GUIROOT)/Makefile.qt
	cd $(GUIROOT) && $(MAKE) -f Makefile.gui

# generates QT makefile for gui
# This monkey stuff is here because i was not able to persuade qmake
# to include our Makefile.flags which contains all configuration stuff
# Therefore we are building in two stages:
# * gui/Makefile.gui simply generates gui/Makefile from gui/pdfedit.pro
#   and includes this file to the gui/Makefile.gui
# * gui/Makefile.qt is in full power of qmake and we simply refers to our
#   configuration variables. These are not visible to the Makefile 
#   directly, but we never use gui/Makefile.qt directly but rather as
#   included in gui/Makefile.gui
# Seems to be complicated and if someone finds better solution how to
# get include ../../Makefile.flags into the generated makefile then
# it can be safely removed.
# We need to generate online help (unless it is generated yet) before
# QT makefile is created (because of file expansion used in project
# file)
$(GUIROOT)/Makefile.qt: $(GUIROOT)/Makefile.gui $(GUIROOT)/pdfedit.pro
	$(SHELL) $(ROOT)/tools/generate_online_help.sh "$(DOCROOT)" "$(GUIROOT)"
	cd $(GUIROOT) && $(QMAKE) pdfedit.pro -o Makefile.qt

# Target for devel package - no gui, just header files and core (xpdf and 
# kernel) libraries
pdfedit-devel: utils kernel xpdf qoutputdevices

# QOutputDevices - uses same trick with Makefile.{gui.qt} like
# gui - see above
qoutputdevices: xpdf $(QOUTPUTDEVROOT)/Makefile.qt
	cd $(QOUTPUTDEVROOT) && $(MAKE) -f Makefile.gui staticlib

$(QOUTPUTDEVROOT)/Makefile.qt: $(QOUTPUTDEVROOT)/Makefile.gui $(QOUTPUTDEVROOT)/qoutputdevices.pro
	cd $(QOUTPUTDEVROOT) && $(QMAKE) -o Makefile.qt

# Utils
utils: xpdf
	cd $(UTILSROOT) && $(MAKE)

#QSA
qsa: $(QSAROOT)/Makefile.qsa
	cd $(QSAROOT) && $(MAKE) staticlib

$(QSAROOT)/Makefile.qsa: $(QSAROOT)/qsa.pro
	cd $(QSAROOT) && ./configure "${QMAKE}" "${E_RELEASE}"

# Kernel
kernel: xpdf utils
	cd $(KERNELROOT) && $(MAKE)

# kernel tests
kernel_tests: kernel
	cd $(TESTSROOT) && $(MAKE) kernel_tests

# Cleanup
clean:
	cd $(GUIROOT) && $(MAKE) -f Makefile.gui clean || true
	cd $(QSAROOT) && $(MAKE) clean || true
	cd $(KERNELROOT) && $(MAKE) clean || true
	cd $(TESTSROOT) && $(MAKE) clean || true
	cd $(UTILSROOT) && $(MAKE) clean
	cd $(XPDFROOT) && $(MAKE) clean || true
	cd $(QOUTPUTDEVROOT) && $(MAKE) clean || true
	$(DEL_FILE) $(GUIROOT)/Makefile.qt 
	$(DEL_FILE) $(QOUTPUTDEVROOT)/Makefile.qt


# Dist Cleanup
distclean: 
	cd $(GUIROOT) && $(MAKE) -f Makefile.gui distclean || true
	cd $(QSAROOT) && $(MAKE) distclean || true
	cd $(KERNELROOT) && $(MAKE) distclean || true
	cd $(TESTSROOT) && $(MAKE) distclean || true
	cd $(UTILSROOT) && $(MAKE) distclean || true
	cd $(XPDFROOT) && $(MAKE) distclean || true
	cd $(QOUTPUTDEVROOT) && $(MAKE) -f Makefile.gui distclean || true
	$(DEL_FILE) $(QOUTPUTDEVROOT)/Makefile || true
	$(DEL_FILE) $(UTILSROOT)/aconf.h || true
	$(DEL_FILE $(GUIROOT)/config.h $(GUIROOT)/Makefile.qt $(GUIROOT)/menugenerator $(GUIROOT)/pdfedit || true
	$(DEL_FILE) $(QOUTPUTDEVROOT)/Makefile.qt

=== doc/user/Makefile ===
# Makefile for documentation

# root of doc/ directory
TOP_DIR=..

TOOL_DIR=$(TOP_DIR)/tools

# html docs get built here as PDF, XHTML and also in "online help" as HTML
# html_docs=scripts/scripting.html pdfedit.html
html_docs= keyboard.html cs/keyboard.html qsa-util.html qsa-inputdialog.html scripting.html

# html docs that won't get into online help
html_docs_all=user_doc.html appendix.html

# directory in which to place generated html help files
html_help_dir=../../src/gui/help

# PDF documents to generate
pdf_docs_all=$(html_docs_all:.html=.pdf)

# generated documentation
html_help_docs=$(addprefix $(html_help_dir)/,$(html_docs)) $(html_help_dir)/pdfedit.html
docs_no_pdf=$(html_docs_all)
docs=$(docs_no_pdf) $(pdf_docs_all)
help_docs=$(html_help_docs)

all: $(all_no_pdf) 

all_no_pdf: $(docs_no_pdf)

# Generates online help
online_help: $(help_docs)

clean:
	rm -f $(docs) scripts/scripting.xml keyboard.xml cs/keyboard.xml pdfedit.xml qsa-inputdialog.xml qsa-util.xml scripts/qsa-util.xml scripts/qsa-inputdialog.xml appendix.xml

# generate by parsing header files and adding scripting API documentation
scripts/scripting.xml: scripts/scripting-src.xml $(TOOL_DIR)/scripting.gen.pl
	$(TOOL_DIR)/scripting.gen.pl $< >$@

scripting.xml: scripts/scripting.xml version.xml

appendix.xml: appendix-src.xml version.xml $(TOOL_DIR)/scripting.gen.pl
	$(TOOL_DIR)/scripting.gen.pl $< >$@

# dependencies

install_deps=install/compiling.xml \
install/install.xml \
install/platforms.xml \
install/requiredlib.xml

scripting_deps=scripts/scripting_nodoc.xml \
scripts/qsa-util.xml scripts/qsa-inputdialog.xml version.xml

user_doc.html: $(scripting_deps) $(install_deps) qsa-inputdialog.xml qsa-util.xml version.xml

# generate from template by adding table of keyboard shortcuts parsed from pdfeditrc
keyboard.xml: $(TOOL_DIR)/kbd_gen.pl ../../src/gui/pdfeditrc keyboard-src.xml
	$(TOOL_DIR)/kbd_gen.pl <../../src/gui/pdfeditrc keyboard-src.xml >keyboard.xml

cs/keyboard.xml: $(TOOL_DIR)/kbd_gen.pl ../../src/gui/pdfeditrc cs/keyboard-src.xml
	$(TOOL_DIR)/kbd_gen.pl <../../src/gui/pdfeditrc cs/keyboard-src.xml ../../src/gui/lang/pdfedit_cs.ts >cs/keyboard.xml

pdfedit.xml: cmdline/pdfedit.head cmdline/description.xml cmdline/localization.xml cmdline/pdfedit.tail
	cat $+ >$@

# special rules rule for generating docbook XML from .leaf files (some tex-like Trolltech format)
scripts/qsa-inputdialog.xml: qsa-inputdialog.leaf $(TOP_DIR)/tools/leaf2xml.pl
	$(TOP_DIR)/tools/leaf2xml.pl <$< >$@ no

scripts/qsa-util.xml: qsa-util.leaf $(TOP_DIR)/tools/leaf2xml.pl
	$(TOP_DIR)/tools/leaf2xml.pl <$< >$@ no

# refresh version number
version.xml: ../../src/gui/version.h
	cd ../.. && ./getversion >doc/user/$@

# include rules to generate various documentation formats
include $(TOP_DIR)/Makefile.rules

=== src/kernel/Makefile ===
# General definitions
# includes basic building rules
# REL_ADDR has to be defined, because Makefile.rules refers 
# to the Makefile.flags
REL_ADDR = ../../
include $(REL_ADDR)/Makefile.rules

####### Files
CFLAGS   += $(EXTRA_KERNEL_CFLAGS)
CXXFLAGS += $(EXTRA_KERNEL_CXXFLAGS)

HEADERS = static.h $(UTILSROOT)/debug.h $(UTILSROOT)/iterator.h $(UTILSROOT)/observer.h\
	  exceptions.h modecontroller.h filters.h xpdf.h utils.h cxref.h xrefwriter.h \
	  factories.h pdfwriter.h indiref.h iproperty.h cobject.h cobjectsimple.h \
	  cobjectsimpleI.h carray.h cdict.h cstream.h cstreamsxpdfreader.h \
	  cobjecthelpers.h ccontentstream.h pdfoperators.h pdfoperatorsiter.h \
	  displayparams.h textsearchparams.h  \
	  cpage.h cpdf.h streamwriter.h cinlineimage.h coutline.h \
	  stateupdater.h cannotation.h textoutput.h textoutputbuilder.h \
	  textoutputentities.h textoutputengines.h	\
	  delinearizator.h pdfspecification.h

SOURCES = static.cc xpdf.cc modecontroller.cc filters.cc factories.cc cannotation.cc \
	  cxref.cc xrefwriter.cc streamwriter.cc iproperty.cc carray.cc \
	  cdict.cc cstream.cc cobject.cc cobject2xpdf.cc cobject2string.cc cobjecthelpers.cc \
	  ccontentstream.cc pdfoperators.cc pdfoperatorsiter.cc \
	  stateupdater.cc pdfwriter.cc cinlineimage.cc coutline.cc \
	  cpage.cc cpdf.cc textoutputengines.cc textoutputentities.cc \
	  textoutputbuilder.cc pdfspecification.cc \
	  delinearizator.cc

OBJECTS = $(SOURCES:.cc=.o)
# FIXME use LIBPREFIX
TARGET   = libkernel.a

####### Build rules

all: $(TARGET) 

staticlib: $(TARGET)

deps: $(HEADERS)
	$(CXX) $(MANDATORY_INCPATH) -M $(SOURCES) > deps

$(TARGET): deps $(OBJECTS)
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)
	$(RANLIB) $(TARGET)

.PHONY: dist clean disclean
dist: 
	@mkdir -p .obj/kernel && \
		$(COPY_FILE) --parents $(SOURCES) $(HEADERS) .obj/kernel/ \
		&& ( cd `dirname .obj/kernel` \
		&& $(TAR) kernel.tar kernel \
		&& $(GZIP) kernel.tar ) \
		&& $(MOVE) `dirname .obj/kernel`/kernel.tar.gz . \
		&& $(DEL_FILE) -r .obj/kernel

clean:
	-$(DEL_FILE) $(OBJECTS) deps
	-$(DEL_FILE) *~ core *.core

distclean: clean
	-$(DEL_FILE) $(TARGET)


# FIXME change this because we are force to include this even if we want
# to do make clean. FreeBSD make is not able to include non existent file
#-include deps

=== src/tests/Makefile ===
# Makefile for all tests for PDFedit
#
# includes basic building rules
# REL_ADDR has to be defined, because Makefile.rules refers 
# to the Makefile.flags
REL_ADDR=../../
include $(REL_ADDR)Makefile.rules

.PHONY: distclean clean kernel_tests

# TDOD add all, install and uninstall targets depending on configuration

kernel_tests:
	cd $(KERNELTESTSROOT) && $(MAKE) kernel_tests

clean:
	cd $(KERNELTESTSROOT) && $(MAKE) clean

distclean: 
	cd $(KERNELTESTSROOT) && $(MAKE) distclean

=== src/utils/Makefile ===
###############################################################################
# Make file for utils static library
#
################################################################################
# includes basic building rules
# REL_ADDR has to be defined, because Makefile.rules refers 
# to the Makefile.flags
REL_ADDR = ../../
include $(REL_ADDR)/Makefile.rules

CFLAGS += $(EXTRA_UTILS_CFLAGS)
CXXFLAGS += $(EXTRA_UTILS_CXXFLAGS)

# Source files for library
SOURCES=debug.cc \
	confparser.cc

# Binary files to be included to the library
BINS=debug.o \
     confparser.o

# FIXME use LIBPREFIX
TARGET = libutils.a

all: $(TARGET)
$(TARGET): $(BINS)
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(BINS)
	$(RANLIB) $(TARGET)

.PHONY: clean distclean
clean:
	$(DEL_FILE) $(BINS)

distclean: clean
	$(DEL_FILE) $(TARGET)

=== src/tests/kernel/Makefile ===
# includes basic rules for building 
# REL_ADDR has to be defined, because Makefile.rules refers 
# to the Makefile.flags
REL_ADDR = ../../../
include $(REL_ADDR)/Makefile.rules


MANDATORY_LIBS    += $(CPPUNIT_LIBS) 
MANDATORY_INCPATH += $(CPPUNITPATH)

SOURCES = testcobjectsimple.cc \
		testcobjectcomplex.cc \
		testcstream.cc \
		teststream.cc \
		teststreamwriter.cc \
		testcobjecthelpers.cc \
		testpdfoperators.cc \
		testcpage.cc \
		testccontentstream.cc \
		testcpdf.cc \
		testutils.cc \
		testoutlines.cc \
		testtextoutput.cc \
		testparams.cc \
		main.cc
HEADERS = testcobject.h \
	  testcpage.h \
	  testcpdf.h \
	  testmain.h \
	  testparams.h
DEP_LIBS = $(KERNELROOT)/libkernel.a \
	   $(UTILSROOT)/libutils.a \
	   $(XPDFROOT)/xpdf/libxpdf.a $(XPDFROOT)/fofi/libfofi.a \
	   $(XPDFROOT)/goo/libGoo.a $(XPDFROOT)/splash/libsplash.a

OBJECTS = $(SOURCES:.cc=.o)
TARGET   = kernel_tests

all: $(TARGET)

$(TARGET): deps $(OBJECTS) $(DEP_LIBS)
	$(LINK) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(MANDATORY_LIBS)

clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core

distclean: clean
	-$(DEL_FILE) $(TARGET)

deps: $(HEADERS)
	$(CXX) $(MANDATORY_INCPATH) -M $(SOURCES) > deps

# FIXME FreeBSD make is not able to include non existent file
#-include deps

## pdfedit 0.4.5

=== debian/changelog ===
pdfedit (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * Add gui-enable-read-only_files.patch, fixes issues with opening
    read-only files (Closes: #579707)
  * Add pdfedit.menu (Closes: #548692)

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 02:35:09 -0400

pdfedit (0.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #538801)
  * Fix license, pdfedit is GPL-2 only (Closes: #537560)
  * Remove Torsten Werner from Uploaders
  * Bump Standards-Version to 3.8.2
  * Remove all patches merged upstream

 -- Varun Hiremath <varun@debian.org>  Mon, 27 Jul 2009 20:02:45 -0400

pdfedit (0.4.2-4) unstable; urgency=low

  * Add patches provided by upstream:
    - fix-ccpagecontets-lazy-ccs_parse.patch
    - deep_copy_for_saving.patch
    - fix-ZlibFilterStreamWriter-supportObject.patch
    - crop_box-sync_with_media_box.patch
  * These patches fix issues with "Edit page metrics", thanks to Eric Doviak
    <eric@doviak.net> and Michal Hocko (Closes: #517582, #517581, #517580)

 -- Varun Hiremath <varun@debian.org>  Sun, 01 Mar 2009 03:31:45 -0500

pdfedit (0.4.2-3) unstable; urgency=low

  * upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 22:42:51 +0100

pdfedit (0.4.2-2) experimental; urgency=low

  * Add patch for french translation from Didier Raboud.
    (Closes: #510784)

 -- Torsten Werner <twerner@debian.org>  Sun, 04 Jan 2009 22:26:27 +0100

pdfedit (0.4.2-1) experimental; urgency=low

  * New upstream release
  * Bump up Standards-Version: 3.8.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Thu, 01 Jan 2009 01:43:44 +0100

pdfedit (0.4.1-2) unstable; urgency=low

  * Fix file pdfedit.desktop. (Closes: #488896)

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Jul 2008 22:40:01 +0200

pdfedit (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Update copyright file
  * Remove all patches - merged upstream

 -- Varun Hiremath <varun@debian.org>  Mon, 25 Feb 2008 11:25:28 +0530

pdfedit (0.3.2-5) unstable; urgency=low

  * Add patches/headers.diff to fix FTBFS with GCC 4.3 (Closes: #455294)
  * Update debian/copyright
  * Bumped up Standards-Version to 3.7.3; no changes needed.

 -- Varun Hiremath <varun@debian.org>  Tue, 11 Dec 2007 11:55:09 +0530

pdfedit (0.3.2-4) unstable; urgency=low

  * Add upstream patch collect_revision-fix.diff which fixes segfaults
    while opening pdfs previously edited by pdfedit (Closes: 450627)

 -- Varun Hiremath <varunhiremath@gmail.com>  Wed, 21 Nov 2007 03:31:43 +0530

pdfedit (0.3.2-3) unstable; urgency=low

  * Add some patches and modify debian/rules to enable noopt and debug
    debian build options (Closes: #450635)
  * debian/control: Add Homepage header and replace XS-Vcs with Vcs.

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 12 Nov 2007 12:11:06 +0530

pdfedit (0.3.2-2) unstable; urgency=low

  * debian/control: add xsltproc, doxygen to Build-Depends (Closes: #441724)
  * debian/patches: add no_pdf.diff to stop building pdfs.

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 11 Sep 2007 18:40:16 +0530

pdfedit (0.3.2-1) unstable; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: Add XS-Vcs-{Svn,Browser} headers.
  * debian/rules: implement get-orig-source

  [ Torsten Werner ]
  * Change pdfedit.desktop to conform to the Desktop Menu Specification.

 -- Torsten Werner <twerner@debian.org>  Fri, 07 Sep 2007 21:14:15 +0200

pdfedit (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Remove all patches merged upstream
  * Add upstream documentation to debian/docs

 -- Varun Hiremath <varunhiremath@gmail.com>  Sat, 05 May 2007 20:58:30 +0530

pdfedit (0.3.0-2) unstable; urgency=low

  [ Torsten Werner ]
  * Add Build-Depends: libpaper-dev.
  * Add patch for g++-4.3. (Closes: #417471)

  [ Varun Hiremath ]
  * Add patch to fix FTBFS with GCC 4.3: error: extra ';' (Closes: #420994). 
    Thanks to Martin Michlmayr.

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 26 Apr 2007 18:15:27 +0530

pdfedit (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Remove patches/clean_files.diff, merged upstream
  * debian/control: remove quilt from Build-Depends, no patches being used.

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun, 15 Apr 2007 13:47:28 +0530

pdfedit (0.2.5-2) unstable; urgency=low

  * debian/copyright: Include the correct BSD license text (Closes: #412761)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 20 Feb 2007 22:20:29 +0530

pdfedit (0.2.5-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 20 Feb 2007 15:06:55 +0530

pdfedit (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #398838)

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 11 Jan 2007 10:48:59 +0530

=== debian/control ===
Source: pdfedit
Section: utils
Priority: optional
Maintainer: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libboost-iostreams-dev,
 qt3-dev-tools, libqt3-mt-dev, libpaper-dev, xsltproc, doxygen
Standards-Version: 3.8.2
Homepage: http://pdfedit.petricek.net/
Vcs-Svn: https://bollin.googlecode.com/svn/pdfedit/
Vcs-Browser: http://code.google.com/p/bollin/source/browse/pdfedit/

Package: pdfedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Editor for manipulating PDF documents
 Complete editing of pdf documents is made possible with PDFedit. You
 can change either raw pdf objects (for advanced users) or use
 predefined gui functions. Functions can be easily added as everything
 is based on a scripts.
 .
 Scripting is used to a great extent in editor and almost anything can
 be scripted, it is possible to create own scripts or plugins.

=== debian/rules ===
#!/usr/bin/make -f

export QTDIR=/usr/share/qt3

export CXXFLAGS=-g -Wall
export CFLAGS=-g -Wall

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-release --with-root-dir=$(DEB_DESTDIR)

install/pdfedit::
	$(RM) $(DEB_DESTDIR)/usr/share/doc/pdfedit/README.cygwin
	$(RM) $(DEB_DESTDIR)/usr/share/doc/pdfedit/LICENSE.GPL
	$(RM) $(DEB_DESTDIR)/usr/share/doc/pdfedit/Changelog
	chmod 644 $(DEB_DESTDIR)/usr/share/pdfedit/icon/hicolor/*
	chmod 644 $(DEB_DESTDIR)/usr/share/pdfedit/icon/Tango/*
	dh_install debian/pdfedit.desktop /usr/share/applications/

get-orig-source:
	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
http://sf.net/pdfedit/ pdfedit-(.*)\.tar\.gz debian debian/orig-tar.sh
